KDE 4.2 PyKDE API Reference

- KDE's Python API

# Rect Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

The Rect interface is used to represent any <a href="http://www.w3.org/TR/REC-CSS2/visufx.html#value-def-shape"> rect value. This interface reflects the values in the underlying style property. Hence, modifications made through this interface modify the style property.

## Methods

| __init__ (self)
| __init__ (self, DOM.Rect other)
| __init__ (self, RectImpl i)
DOM.CSSPrimitiveValue | bottom (self)
RectImpl | handle (self)
bool | isNull (self)
DOM.CSSPrimitiveValue | left (self)
DOM.CSSPrimitiveValue | right (self)
DOM.CSSPrimitiveValue | top (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.Rect | other
| ) |  |  |

__init__ | ( | self, |
|  | RectImpl | i
| ) |  |  |

DOM.CSSPrimitiveValue bottom | ( |  | self ) |

This attribute is used for the bottom of the rect.

RectImpl handle | ( |  | self ) |

Internal:
  not part of the DOM

bool isNull | ( |  | self ) |

DOM.CSSPrimitiveValue left | ( |  | self ) |

This attribute is used for the left of the rect.

DOM.CSSPrimitiveValue right | ( |  | self ) |

This attribute is used for the right of the rect.

DOM.CSSPrimitiveValue top | ( |  | self ) |

This attribute is used for the top of the rect.